Package org.apache.sling.discovery.impl.support

## Class StandardPropertyProvider

- java.lang.Object
- - org.apache.sling.discovery.impl.support.StandardPropertyProvider

    public class StandardPropertyProvider
    extends Object

This service provides the standard instance properties (if available)

### Constructor Summary

Constructors
`StandardPropertyProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `activate​(org.osgi.service.component.ComponentContext cc)`
`protected void` `bindHttpService​(org.osgi.framework.ServiceReference reference)` Bind a http service
`protected void` `deactivate()`
`protected void` `modified​(org.osgi.service.component.ComponentContext cc)`
`protected void` `unbindHttpService​(org.osgi.framework.ServiceReference reference)` Unbind a http service

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StandardPropertyProvider

    public StandardPropertyProvider()

### Method Detail

#### activate

    protected void activate​(org.osgi.service.component.ComponentContext cc)

#### modified

    protected void modified​(org.osgi.service.component.ComponentContext cc)

#### deactivate

    protected void deactivate()

#### bindHttpService

    protected void bindHttpService​(org.osgi.framework.ServiceReference reference)

Bind a http service

#### unbindHttpService

    protected void unbindHttpService​(org.osgi.framework.ServiceReference reference)

Unbind a http service